squidclient(1)

NAME
squidclient -- a simple HTTP web client

SYNOPSIS
squidclient [-arsv][-A string ][-g count] [-h remote-host] [-H 'string'] [-i IMS] [-I ping-interval] [-j 'Host-header'] [-l local-host] [-m method] [-p port] [-P file] [-t count] [-T timeout] [-u proxy-user] [-U www-user] [-V version] [-w proxy-password] [-W www-password] url

DESCRIPTION
squidclient is a tool providing a command line interface for retrieving URLs. Designed for testing any HTTP 0.9, 1.0, or 1.1 web server or proxy. This tool can be combined with scripts to perform any basic HTTP operation. Some additional features for access to the Squid proxy object cache and management information are provided.

OPTIONS

-a  Do NOT include Accept: header.

-A 'string'
    Send string as User-Agent: header. To omit the header completely set string to empty ('').

-g count
    Ping mode, perform count iterations (0 to loop until interrupted).

-h host
    Retrieve URL from cache on hostname. Default is localhost.

-H 'string'
    Extra headers to send. Use '\n' for new lines.

-i time
    If-Modified-Since time (in Epoch seconds).

-I interval
    Ping interval in seconds (default 1 second).

-j hosthdr
    Host header content

-l host
    Specify a local IP address to bind to. Default is none.

-m method
    Request method, default is GET. Squid also supports a non-standard method called PURGE. You can use that to purge a specific URL from the cache. You need to have purge access setup in squid.conf similar to manager access. Here is an example:
          acl purge method PURGE
          http_access deny purge !localhost

-p port
    Port number of cache. Default is 3128.

-P file
    PUT request. Using the named file.

-r  Force cache to reload URL.

-s  Silent. Do not print data to stdout.

-t count
    Trace count cache-hops

-T timeout
    Timeout value (seconds) for read/write operations.

-u user
    Proxy authentication username

-U user
    WWW authentication username

-v  Verbose. Print outgoing message to stderr.

-w password
    Proxy authentication password

-W password
    WWW authentication password

-V version
    HTTP Version. Use '-' for HTTP/0.9 omitted case

SEE ALSO
cachemgr.cgi(8), squid(8)

AUTHOR
Derived from Harvest. Further developed by by numerous individuals from the internet community. Development is led by Duane Wessels of the National Laboratory for Applied Network Research and funded by the National Science Foundation.